Bug 1119753 - Engine throws NullPointerExceptions,after creation of multiple templates and restarting vdsmd service
Summary: Engine throws NullPointerExceptions,after creation of multiple templates and ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-core
Version: 3.5
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
: 3.5.0
Assignee: Yair Zaslavsky
QA Contact: Petr Kubica
URL:
Whiteboard: infra
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-15 12:39 UTC by Ori Gofen
Modified: 2016-05-26 01:50 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-17 12:41:38 UTC
oVirt Team: Infra


Attachments (Terms of Use)
vdsm+engine logs (769.05 KB, application/x-gzip)
2014-07-15 12:39 UTC, Ori Gofen
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 30168 master MERGED core: added matching constructor for SshSoftFencingCommand Never
oVirt gerrit 30169 ovirt-engine-3.5 MERGED core: added matching constructor for SshSoftFencingCommand Never

Description Ori Gofen 2014-07-15 12:39:58 UTC
Created attachment 918152 [details]
vdsm+engine logs

Description of problem:
This bug is an extension of BZ #1103687 (read description).
After commencing the vdsmd restart,engine throws NullPointerExceptions

2014-07-15 14:59:49,586 ERROR [org.ovirt.engine.core.bll.CommandsFactory] (org.ovirt.thread.pool-8-thread-19) An exception has occured while trying to create a command object for command   RemoveImage: java.lang.RuntimeException: could not find matching constructor for Command class class org.ovirt.engine.core.bll.RemoveImageCommand
   ...at org.ovirt.engine.core.bll.CommandsFactory.findCommandConstructor(CommandsFactory.java:197) [bll.jar:]
   ...at org.ovirt.engine.core.bll.CommandsFactory.createCommand(CommandsFactory.java:61) [bll.jar:]
   ...at org.ovirt.engine.core.bll.CommandsFactory.createCommand(CommandsFactory.java:53) [bll.jar:]
   ...at org.ovirt.engine.core.bll.tasks.CoCoAsyncTaskHelper.endAction(CoCoAsyncTaskHelper.java:315) [bll.jar:]
   ...at org.ovirt.engine.core.bll.tasks.CommandCoordinatorImpl.endAction(CommandCoordinatorImpl.java:314) [bll.jar:]
   ...at org.ovirt.engine.core.bll.tasks.CommandAsyncTask.EndCommandAction(CommandAsyncTask.java:149) [bll.jar:]
   ...at org.ovirt.engine.core.bll.tasks.CommandAsyncTask.access$000(CommandAsyncTask.java:28) [bll.jar:]
   ...at org.ovirt.engine.core.bll.tasks.CommandAsyncTask$1.run(CommandAsyncTask.java:109) [bll.jar:]
   ...at org.ovirt.engine.core.utils.threadpool.ThreadPoolUtil$InternalWrapperRunnable.run(ThreadPoolUtil.java:90) [utils.jar:]
   ...at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:471) [rt.jar:1.7.0_55]
   ...at java.util.concurrent.FutureTask.run(FutureTask.java:262) [rt.jar:1.7.0_55]
   ...at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1145) [rt.jar:1.7.0_55]
   ...at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:615) [rt.jar:1.7.0_55]
   ...at java.lang.Thread.run(Thread.java:744) [rt.jar:1.7.0_55]


Version-Release number of selected component (if applicable):
beta

How reproducible:
100%

Steps to Reproduce:
1.create 7 vm's + (2X disks) each
2.create templates from all vm's at the same time
3.restart vdsm daemon 

Actual results:
operation fails with NullPointerExceptios,async_tasks are not cleared

Expected results:
---

Additional info:

Comment 1 Allon Mureinik 2014-07-16 02:05:11 UTC
Another constructor issue:

2014-07-15 14:59:49,586 ERROR [org.ovirt.engine.core.bll.CommandsFactory] (org.ovirt.thread.pool-8-thread-19) An exception has occured while trying to create a command object for command   RemoveImage: java.lang.RuntimeException: could not find matching constructor for Command class class org.ovirt.engine.core.bll.RemoveImageCommand
   ...at org.ovirt.engine.core.bll.CommandsFactory.findCommandConstructor(CommandsFactory.java:197) [bll.jar:]

Comment 2 Petr Kubica 2014-09-16 10:44:10 UTC
Verified in
vdsm: vdsm-4.16.3-3.el6ev.beta.x86_64
oVirt: 3.5.0-0.0.master.20140911085455.gite1c5ffd.el6

Comment 3 Sandro Bonazzola 2014-10-17 12:41:38 UTC
oVirt 3.5 has been released and should include the fix for this issue.


Note You need to log in before you can comment on or make changes to this bug.